Bug 13384 - 'l.' unreasonable
'l.' unreasonable
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: fileutils (Show other bugs)
6.2
All Linux
medium Severity low
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-03 16:53 EDT by Miloslav Trmac
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-03 16:53:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmac 2000-07-03 16:53:02 EDT
'l.' is aliased in /etc/profile.d/colorls.{sh,csh} to 'ls .[a-zA-Z]* --color=tty'. When there is a subdirectory starting with dot, its contents are listed, not just its name (Go to your home directory and type 'l.'. You probably won't like that.) I believe the correct alias is 'ls -d .[a-zA-Z]* --color=tty'.

Thanks.
Comment 1 Bernhard Rosenkraenzer 2000-10-24 04:57:35 EDT
The "l." alias is taken from the (old) DLD distribution [acquired by Red Hat last year], which had it exactly that way.
I agree that your version is nicer, though, and have changed it in 4.0.27-1.

Note You need to log in before you can comment on or make changes to this bug.